car_park_data:
  label: Occupancy
  namespace: Organisms/TM - Car Parks
  use: '@organisms/tm-cp/car-park-data/car-park-data.twig'
  description: Occupancy
  libraries:
    - car_park_data_lib:
        css:
          component:
            ../styles/car-park-data.css: {weight: 10}

  fields:
    spaceLeft:
      type: text
      label: Spaces Left
      description: Spaces Left
      preview: '1017'
    totalSpace:
      type: text
      label: Total Spaces available
      description: Total Spaces available
      preview: '1409'
    lastUpdate:
      type: text
      label: Last updated time
      description: Last updated time
      preview: 07:22
    progressValue:
      type: numeric
      label: Progress value
      description: Progress value
      preview: '25'

  settings:
    progressClass:
      type: select
      label: Progress bar colour
      description: Progress bar colour
      options:
        quiet: Quiet
        busy: Busy
        full: Full
      default_value: quiet
      preview: quiet
